List Tokens
curl --request GET \
--url https://api.convexity.tools/v1/tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.convexity.tools/v1/tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.convexity.tools/v1/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Tokens retrieved successfully",
"data": {
"items": [
{
"id": "019e45d1-1586-77c0-8713-2e853513afc2",
"projectId": "019e0c2d-b005-74b3-b495-edd1df50ff3d",
"businessId": "019e0c2d-b005-74b3-b495-edd1df50ff3c",
"ticker": "BOND2",
"name": "FG Bond",
"assetClass": "MONEY_MARKET",
"tokenType": "YIELD_BEARING",
"decimals": 18,
"totalSupply": "1000000",
"circulatingSupply": "190",
"chain": "BASE",
"status": "ACTIVE",
"deploymentRef": "deploy_5fdac8a5b9cbe1e34abd68c1601b653a",
"contractAddress": "0xF8E293345879d9E3171FA72A3A5e992634775ab2",
"createdAt": "2026-05-20T14:36:30.983Z",
"updatedAt": "2026-05-20T14:59:19.490Z",
"createdBy": "1234"
},
{
"id": "019e45bf-edb9-74fa-b172-34b710571fe6",
"projectId": "019e0c2d-b005-74b3-b495-edd1df50ff3d",
"businessId": "019e0c2d-b005-74b3-b495-edd1df50ff3c",
"ticker": "BOND",
"name": "FG Bond",
"assetClass": "MONEY_MARKET",
"tokenType": "YIELD_BEARING",
"decimals": 18,
"totalSupply": "1000000",
"circulatingSupply": "0",
"chain": "BASE",
"status": "ACTIVE",
"deploymentRef": "deploy_a5c1386e1d9e41fd605cd8dbc53f53f1",
"contractAddress": "0x9f14Ffc48128626Dc435Bdc0d30bDEFc9b306876",
"createdAt": "2026-05-20T14:17:46.682Z",
"updatedAt": "2026-05-20T14:17:50.163Z",
"createdBy": "1234"
}
],
"total": 2,
"page": 1,
"pageSize": 20
}
}Tokenization
List Tokens
Returns a paginated list of tokens for the calling project.
GET
/
v1
/
tokens
List Tokens
curl --request GET \
--url https://api.convexity.tools/v1/tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.convexity.tools/v1/tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.convexity.tools/v1/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Tokens retrieved successfully",
"data": {
"items": [
{
"id": "019e45d1-1586-77c0-8713-2e853513afc2",
"projectId": "019e0c2d-b005-74b3-b495-edd1df50ff3d",
"businessId": "019e0c2d-b005-74b3-b495-edd1df50ff3c",
"ticker": "BOND2",
"name": "FG Bond",
"assetClass": "MONEY_MARKET",
"tokenType": "YIELD_BEARING",
"decimals": 18,
"totalSupply": "1000000",
"circulatingSupply": "190",
"chain": "BASE",
"status": "ACTIVE",
"deploymentRef": "deploy_5fdac8a5b9cbe1e34abd68c1601b653a",
"contractAddress": "0xF8E293345879d9E3171FA72A3A5e992634775ab2",
"createdAt": "2026-05-20T14:36:30.983Z",
"updatedAt": "2026-05-20T14:59:19.490Z",
"createdBy": "1234"
},
{
"id": "019e45bf-edb9-74fa-b172-34b710571fe6",
"projectId": "019e0c2d-b005-74b3-b495-edd1df50ff3d",
"businessId": "019e0c2d-b005-74b3-b495-edd1df50ff3c",
"ticker": "BOND",
"name": "FG Bond",
"assetClass": "MONEY_MARKET",
"tokenType": "YIELD_BEARING",
"decimals": 18,
"totalSupply": "1000000",
"circulatingSupply": "0",
"chain": "BASE",
"status": "ACTIVE",
"deploymentRef": "deploy_a5c1386e1d9e41fd605cd8dbc53f53f1",
"contractAddress": "0x9f14Ffc48128626Dc435Bdc0d30bDEFc9b306876",
"createdAt": "2026-05-20T14:17:46.682Z",
"updatedAt": "2026-05-20T14:17:50.163Z",
"createdBy": "1234"
}
],
"total": 2,
"page": 1,
"pageSize": 20
}
}⌘I
